com.trendmicro.ds.antimalware.rest.object

## Enum AntiMalwareEvent.EnumAntiMalwareScanType

- java.lang.Object
- - java.lang.Enum<AntiMalwareEvent.EnumAntiMalwareScanType>
  - - com.trendmicro.ds.antimalware.rest.object.AntiMalwareEvent.EnumAntiMalwareScanType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AntiMalwareEvent.EnumAntiMalwareScanType>
  Enclosing class:
    AntiMalwareEvent

      public static enum AntiMalwareEvent.EnumAntiMalwareScanType
      extends java.lang.Enum<AntiMalwareEvent.EnumAntiMalwareScanType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MANUAL`
    `QUICK`
    `REALTIME`
    `SCHEDULED`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AntiMalwareEvent.EnumAntiMalwareScanType` | `fromValue(java.lang.String s)`
    `java.lang.String` | `getValue()`
    `static AntiMalwareEvent.EnumAntiMalwareScanType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AntiMalwareEvent.EnumAntiMalwareScanType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### REALTIME

          public static final AntiMalwareEvent.EnumAntiMalwareScanType REALTIME

    - #### MANUAL

          public static final AntiMalwareEvent.EnumAntiMalwareScanType MANUAL

    - #### SCHEDULED

          public static final AntiMalwareEvent.EnumAntiMalwareScanType SCHEDULED

    - #### QUICK

          public static final AntiMalwareEvent.EnumAntiMalwareScanType QUICK

  - ### Method Detail

    - #### values

          public static AntiMalwareEvent.EnumAntiMalwareScanType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AntiMalwareEvent.EnumAntiMalwareScanType c : AntiMalwareEvent.EnumAntiMalwareScanType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AntiMalwareEvent.EnumAntiMalwareScanType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

    - #### fromValue

          public static AntiMalwareEvent.EnumAntiMalwareScanType fromValue(java.lang.String s)

Copyright © 2015 Trend Micro Inc. All Rights Reserved.